const { run } = require('runjs')
const config = {
  proxy: 'http://120.132.99.119:9999/gisht',
  port: 8090, // 默认服务端口
  publicPath: './serve', // 服务指向文件
  gzipSet: true, // 开启zip文件预览
  outputLog: false, // 开启日志输出
  browser: true, // 启动开启预览打开
  seconds: 1000, // 请求时间
  enableLogging: true, // 开启客户端IP地址日志
  fileType: 'html'
}

// http-server -p 3000 -P https://condejs.org
// //-p 本地运行端口  -P 代理地址（就是要访问的接口下的域名）
const rawArgv = process.argv.includes('http')

if (rawArgv) {

  const {
    proxy,
    port,
    publicPath,
    gzipSet,
    outputLog,
    browser,
    seconds,
    fileType,
    enableLogging
  } = config

  let outputLogStr = `${outputLog ? `--silent ${outputLog}` : ''}`
  let browserStr = `${browser ? `-o ` : ''}`
  let enableLoggingStr = `${enableLogging ? `--log-ip` : ''}`

  run(`http-server ${publicPath} -d --port ${port} --gzip ${gzipSet} ${browserStr} -c ${seconds} ${outputLogStr} ${enableLoggingStr} --ext ${fileType} --proxy ${proxy}`)
  // run(`http-server -p --port ${port}`)
}
